Visual LISP, AutoLISP and General Customization
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

burst lisp unknown command

1 REPLY 1
SOLVED
Reply
Message 1 of 2
Anonymous
831 Views, 1 Reply

burst lisp unknown command

Trying to create a simple selection set and burst that set.

Acad wont recognize burst when I include it in a (command "burst"). Why I do not know. Can you guys help me sort this code out?

 

(defun c:burstplid ( / pl)
  (setq pl (ssget "A" '((8 . "PL_ID"))))
    (command "._burst" pl)
  (princ)
)

 

I saw some post about adding a short command BB to acad.pgp, but that didn't seem to work (or maybe I  messed up the code).

Sincerely,

Fredrik

Tags (3)
1 REPLY 1
Message 2 of 2
hmsilva
in reply to: Anonymous

Hi Fredrik, try

 

(defun c:burstplid (/ pl)
    (if (setq pl (ssget "A" '((8 . "PL_ID"))))
        (progn
            (sssetfirst nil pl)
            (c:burst)
        )
    )
    (princ)
)

 

Hope this helps,
Henrique

EESignature

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Forma Design Contest


AutoCAD Beta